
sfr SFR_9A      = 0x9A;
sfr SFR_9B      = 0x9B;
sfr SFR_9C      = 0x9C;
sfr SFR_9D      = 0x9D;
sfr SFR_BD      = 0xBD;
sfr TA          = 0xEB;

NAME COPY
;------------------------------------------------------------------------------
; Write9A(Uint8 cmd)
;   Write SFR 9A
;------------------------------------------------------------------------------
?PR?_Write9A?COPY SEGMENT CODE
PUBLIC _Write9A
RSEG ?PR?_Write9A?COPY
_Write9A:
    mov TA, #0xAA
    mov TA, #0x55
    mov SFR_9A, R7
    ret    

;------------------------------------------------------------------------------
; Write9B(Uint8 cmd)
;   Write SFR 9B
;------------------------------------------------------------------------------
?PR?_Write9B?COPY SEGMENT CODE
PUBLIC _Write9B
RSEG ?PR?_Write9B?COPY
_Write9B:
    mov TA, #0xAA
    mov TA, #0x55
    mov SFR_9B, R7
    ret    

;------------------------------------------------------------------------------
; Write9C(Uint8 cmd)
;   Write SFR 9C
;------------------------------------------------------------------------------
?PR?_Write9C?COPY SEGMENT CODE
PUBLIC _Write9C
RSEG ?PR?_Write9C?COPY
_Write9C:
    mov TA, #0xAA
    mov TA, #0x55
    mov SFR_9C, R7
    ret    

;------------------------------------------------------------------------------
; Write9D(Uint8 cmd)
;   Write SFR 9D
;------------------------------------------------------------------------------
?PR?_Write9D?COPY SEGMENT CODE
PUBLIC _Write9D
RSEG ?PR?_Write9D?COPY
_Write9D:
    mov TA, #0xAA
    mov TA, #0x55
    mov SFR_9D, R7
    ret    

;------------------------------------------------------------------------------
; WriteBD(Uint8 cmd)
;   Write SFR BD
;------------------------------------------------------------------------------
?PR?_WriteBD?COPY SEGMENT CODE
PUBLIC _WriteBD
RSEG ?PR?_WriteBD?COPY
_WriteBD:
    mov TA, #0xAA
    mov TA, #0x55
    mov SFR_BD, R7
    ret    

END